<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [getMaterial](./bitburner.warehouseapi.getmaterial.md)

## WarehouseAPI.getMaterial() method

Get material data

<b>Signature:</b>

```typescript
getMaterial(divisionName: string, cityName: string, materialName: string): Material;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  cityName | string |  |
|  materialName | string | Name of the material |

<b>Returns:</b>

[Material](./bitburner.material.md)

material data

